
#include <_sio_internal.h>

struct _sio_fdesc *
_sio_fdesc_create(struct _sio_mntpoint *mp, void *mp_cookie)
{
	struct _sio_fdesc *fdesc;

	fdesc = _sio_rcobj_create(sizeof *fdesc);
	fdesc->fd_mp = mp;
	fdesc->fd_mp_cookie = mp_cookie;
	return (fdesc);
}

void
_sio_fdesc_destroy(struct _sio_fdesc *fdesc)
{

	_sio_rcobj_destroy(fdesc);
}
